function doSubmit() {
	var url = getRootPath() + "/bpomanage/caseInfo/queryCaseInfoCon.do" ;
	document.forms["form"].action = url;
	var flag = true;
	
	if (flag) {
		document.forms["form"].submit();
	} 
}

function go(){
	var url = getRootPath() + "/bpomanage/caseInfo/execlExport.do" ;
	document.forms["form"].action = url;
	document.forms["form"].submit();
}

//翻页
function cur_skip(s,e){
	var pn = $(e).find("span").html();
	var compFlag = $("#compFlag").val();   
	var bussinessFlag = $("#bussinessFlag").val();   
	var claim_sys = $("#claim_sys").val();  
	var claimno = $("#claimno").val();   
	var startregdate = $("#startregdate").val();     //立案开始日期
	var endregdate = $("#endregdate").val();     //立案结束日期
	var startenddate = $("#startenddate").val();     //结案开始日期
	var endenddate = $("#endenddate").val();     //结案结束日期
	
	if(s=="1"){
		SkipByPost("queryCaseInfoCon.do", {
			'pageNo' : pn,
			'compFlag' : compFlag,
			'bussinessFlag' : bussinessFlag,
			'claim_sys' : claim_sys,
			'claimno' : claimno,
			'startregdate' : startregdate,
			'endregdate' : endregdate,
			'startenddate' : startenddate,
			'endenddate' : endenddate
		});
	}
	else if(s=="2"){
		SkipByPost("queryCaseInfoCon.do",{pageNo:pn});
	}
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
}

//前一页
function pre(s,e){
	
	
	
	var cur = $("#nav").find(".turn_cur").html();
	
	
	if(cur==undefined||cur==''){
		cur=1;
	}
	
	
	var compFlag = $("#compFlag").val();   
	var bussinessFlag = $("#bussinessFlag").val();   
	var claim_sys = $("#claim_sys").val();  
	var claimno = $("#claimno").val();   
	var startregdate = $("#startregdate").val();     //立案开始日期
	var endregdate = $("#endregdate").val();     //立案结束日期
	var startenddate = $("#startenddate").val();     //结案开始日期
	var endenddate = $("#endenddate").val();     //结案结束日期

	
	if(cur==1){
		return;
	}	
	if(cur>1){
	var pre = Number(cur)-Number(1);		
	if(s=="1"){
		SkipByPost("queryCaseInfoCon.do", {
			'pageNo' : pre,
			'compFlag' : compFlag,
			'bussinessFlag' : bussinessFlag,
			'claim_sys' : claim_sys,
			'claimno' : claimno,
			'startregdate' : startregdate,
			'endregdate' : endregdate,
			'startenddate' : startenddate,
			'endenddate' : endenddate
		});
		}
		else if(s=="2"){
		SkipByPost("queryCaseInfoCon.do",{pageNo:pre});
		}
	}
}

//下一页
function next(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	if(cur==undefined||cur==''){
		cur=1;
	}
	
	var next = Number(cur)+Number(1);
	var maxPage = $("#max").val();
	var compFlag = $("#compFlag").val();   
	var bussinessFlag = $("#bussinessFlag").val();   
	var claim_sys = $("#claim_sys").val();  
	var claimno = $("#claimno").val();   
	var startregdate = $("#startregdate").val();     //立案开始日期
	var endregdate = $("#endregdate").val();     //立案结束日期
	var startenddate = $("#startenddate").val();     //结案开始日期
	var endenddate = $("#endenddate").val();     //结案结束日期
	
	if(parseInt(cur)==parseInt(maxPage)){			
		return;
	}
	
	if(parseInt(cur)<parseInt(maxPage)){
		if(s=="1"){
			SkipByPost("queryCaseInfoCon.do",{
				'pageNo':next,
				'compFlag' : compFlag,
				'bussinessFlag' : bussinessFlag,
				'claim_sys' : claim_sys,
				'claimno' : claimno,
				'startregdate' : startregdate,
				'endregdate' : endregdate,
				'startenddate' : startenddate,
				'endenddate' : endenddate
				});
			}
			else if(s=="2"){
			SkipByPost("queryCaseInfoCon.do",{pageNo:next});
			}
	}
}

//跳转至
function custom(s){		
	var maxPage = $("#max").val();
	var pn = $.trim($("#turn_inp").val());
	var compFlag = $("#compFlag").val();   
	var bussinessFlag = $("#bussinessFlag").val();   
	var claim_sys = $("#claim_sys").val();  
	var claimno = $("#claimno").val();   
	var startregdate = $("#startregdate").val();     //立案开始日期
	var endregdate = $("#endregdate").val();     //立案结束日期
	var startenddate = $("#startenddate").val();     //结案开始日期
	var endenddate = $("#endenddate").val();     //结案结束日期
	
	if(isNaN(pn)){
		return ;
	}
	if(pn == "") {
		return;
	}
	if(Number(pn)==0){
		return;
	}	
	if(Number(pn) > Number(maxPage)){
		return;
	}	
	if(s=="1"){
		SkipByPost("queryCaseInfoCon.do",{
			'pageNo':Number(pn),
			'compFlag' : compFlag,
			'bussinessFlag' : bussinessFlag,
			'claim_sys' : claim_sys,
			'claimno' : claimno,
			'startregdate' : startregdate,
			'endregdate' : endregdate,
			'startenddate' : startenddate,
			'endenddate' : endenddate
			});
		}
		else if(s=="2"){
		SkipByPost("queryCaseInfoCon.do",{pageNo:Number(pn)});
	}
}
